<template>
    <div class="projects-workload">
      <div class="header">
        <h2>Projects Workload</h2>
        <select>
          <option>Last 3 months</option>
         
        </select>
      </div>
  
      <div class="workload-chart">
        <div v-for="worker in workers" :key="worker.name" class="worker">
          <!-- <div v-for=" workers  in worker.projects" class="circle"> </div> -->
          <span class="worker-name">{{ worker.name }}</span>
          <span class="project-count">{{ worker.projects }}</span>
        </div>
      </div>
    </div>
  </template>
  
  <script>
  export default {
    name: 'ProjectsWorkload',
    data() {
      return {
        workers: [
          { name: 'Sam', projects: 7 },
          { name: 'Meldy', projects: 8 },
          { name: 'Ken', projects: 2 },
          { name: 'Dmitry', projects: 10 },
          { name: 'Vego', projects: 8 },
          { name: 'Kadin', projects: 2 },
          { name: 'Melm', projects: 4 }
        ]
      }
    }
  }
  </script>
  
  <style scoped>
  .projects-workload {
    padding: 1rem;
    background-color: #fff;
    border-radius: 10px;
  }
  
  .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
  }
  
  .workload-chart {
    display: flex;
    justify-content: space-between;
  }
  
  .worker {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  
  .circle {
    width: 10px;
    height: 10px;
    background-color: grey; 
    border-radius: 50%;
    margin-bottom: 5px;
  }
  
  .worker-name {
    margin-top: 5px;
  }
  
  .project-count {
    margin-top: 5px;

    padding: 2px 4px;
    border-radius: 5px;
  }
  </style>
  